import { combineReducers } from 'redux'; 
import loginReducer from 'containers/public/Login/loginReducer';
import logoutReducer from './logoutReducer';
import userManagementCreateReducer from 'containers/private/UserManagement/Create/reducer';
import systemPreferencesCreateReducer from 'containers/private/SystemPreferences/Create/reducer';
import branchesCreateReducer from 'containers/private/StationLocator/Branches/Create/reducer';
import notificationCreateReducer from 'containers/private/Notifications/Create/reducer';
import fuelsCreateReducer from 'containers/private/StationLocator/Fuels/Create/reducer'
import stationCreateReducer from 'containers/private/StationLocator/Location/Create/reducer';
import stationUpdateReducer from 'containers/private/StationLocator/Location/Edit/reducer';

import authReducer from "./authReducer";

const reducers = combineReducers({ 
  auth: authReducer,
  login: loginReducer,
  logout: logoutReducer,
  userManagement: userManagementCreateReducer,
  systemPreferences: systemPreferencesCreateReducer,
  branchesCreate: branchesCreateReducer,
  notificationCreate: notificationCreateReducer,
  fuelsCreate: fuelsCreateReducer,
  stationCreate: stationCreateReducer,
  stationUpdate: stationUpdateReducer
});

export default reducers;
